import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { InputWithClipboard } from './input-with-clipboard';
import '../../../theme/index.scss';

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('InputWithClipboard', () => (
    <IntlProvider locale="en">
      <div style={{ width: '500px', margin: '50px auto 0' }}>
        <InputWithClipboard value={text('value', 'lasdfjl1ljdflslasdfjl1ljdfls')} isLoading={boolean('isLoading', false)} />
      </div>
    </IntlProvider>
  ));
